/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * libqmi-glib -- GLib/GIO based library to control QMI devices
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 *
 * Copyright (C) 2012 Google Inc.
 * Copyright (C) 2012-2017 Aleksander Morgado <aleksander@aleksander.es>
 */

#ifndef _LIBQMI_GLIB_QMI_ENUMS_NAS_H_
#define _LIBQMI_GLIB_QMI_ENUMS_NAS_H_

/**
 * QmiNasActiveBand:
 * @QMI_NAS_ACTIVE_BAND_BC_0: Band class 0.
 * @QMI_NAS_ACTIVE_BAND_BC_1: Band class 1.
 * @QMI_NAS_ACTIVE_BAND_BC_2: Band class 2.
 * @QMI_NAS_ACTIVE_BAND_BC_3: Band class 3.
 * @QMI_NAS_ACTIVE_BAND_BC_4: Band class 4.
 * @QMI_NAS_ACTIVE_BAND_BC_5: Band class 5.
 * @QMI_NAS_ACTIVE_BAND_BC_6: Band class 6.
 * @QMI_NAS_ACTIVE_BAND_BC_7: Band class 7.
 * @QMI_NAS_ACTIVE_BAND_BC_8: Band class 8.
 * @QMI_NAS_ACTIVE_BAND_BC_9: Band class 9.
 * @QMI_NAS_ACTIVE_BAND_BC_10: Band class 10.
 * @QMI_NAS_ACTIVE_BAND_BC_11: Band class 11.
 * @QMI_NAS_ACTIVE_BAND_BC_12: Band class 12.
 * @QMI_NAS_ACTIVE_BAND_BC_13: Band class 13.
 * @QMI_NAS_ACTIVE_BAND_BC_14: Band class 14.
 * @QMI_NAS_ACTIVE_BAND_BC_15: Band class 15.
 * @QMI_NAS_ACTIVE_BAND_BC_16: Band class 16.
 * @QMI_NAS_ACTIVE_BAND_BC_17: Band class 17.
 * @QMI_NAS_ACTIVE_BAND_BC_18: Band class 18.
 * @QMI_NAS_ACTIVE_BAND_BC_19: Band class 19.
 * @QMI_NAS_ACTIVE_BAND_GSM_450: GSM 450.
 * @QMI_NAS_ACTIVE_BAND_GSM_480: GSM 480.
 * @QMI_NAS_ACTIVE_BAND_GSM_750: GSM 750.
 * @QMI_NAS_ACTIVE_BAND_GSM_850: GSM 850.
 * @QMI_NAS_ACTIVE_BAND_GSM_900_EXTENDED: GSM 900 (Extended).
 * @QMI_NAS_ACTIVE_BAND_GSM_900_PRIMARY: GSM 900 (Primary).
 * @QMI_NAS_ACTIVE_BAND_GSM_900_RAILWAYS: GSM 900 (Railways).
 * @QMI_NAS_ACTIVE_BAND_GSM_DCS_1800: GSM 1800.
 * @QMI_NAS_ACTIVE_BAND_GSM_PCS_1900: GSM 1900.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_2100: WCDMA 2100.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_PCS_1900: WCDMA PCS 1900.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_DCS_1800: WCDMA DCS 1800.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_1700_US: WCDMA 1700 (U.S.).
 * @QMI_NAS_ACTIVE_BAND_WCDMA_850: WCDMA 850.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_800: WCDMA 800.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_2600: WCDMA 2600.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_900: WCDMA 900.
 * @QMI_NAS_ACTIVE_BAND_WCDMA_1700_JAPAN: WCDMA 1700 (Japan).
 * @QMI_NAS_ACTIVE_BAND_WCDMA_1500_JAPAN: WCDMA 1500 (Japan).
 * @QMI_NAS_ACTIVE_BAND_WCDMA_850_JAPAN: WCDMA 850 (Japan).
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_1: EUTRAN band 1.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_2: EUTRAN band 2.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_3: EUTRAN band 3.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_4: EUTRAN band 4.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_5: EUTRAN band 5.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_6: EUTRAN band 6.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_7: EUTRAN band 7.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_8: EUTRAN band 8.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_9: EUTRAN band 9.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_10: EUTRAN band 10.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_11: EUTRAN band 11.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_12: EUTRAN band 12.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_13: EUTRAN band 13.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_14: EUTRAN band 14.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_17: EUTRAN band 17.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_18: EUTRAN band 18.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_19: EUTRAN band 19.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_20: EUTRAN band 20.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_21: EUTRAN band 21.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_23: EUTRAN band 23.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_24: EUTRAN band 24.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_25: EUTRAN band 25.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_26: EUTRAN band 26.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_27: EUTRAN band 27.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_28: EUTRAN band 28.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_29: EUTRAN band 29.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_30: EUTRAN band 30.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_31: EUTRAN band 31.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_32: EUTRAN band 32.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_33: EUTRAN band 33.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_34: EUTRAN band 34.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_35: EUTRAN band 35.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_36: EUTRAN band 36.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_37: EUTRAN band 37.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_38: EUTRAN band 38.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_39: EUTRAN band 39.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_40: EUTRAN band 40.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_41: EUTRAN band 41.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_42: EUTRAN band 42.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_43: EUTRAN band 43.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_46: EUTRAN band 46.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_47: EUTRAN band 47.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_48: EUTRAN band 48.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_66: EUTRAN band 66.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_71: EUTRAN band 71.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_125: EUTRAN band 125.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_126: EUTRAN band 126.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_127: EUTRAN band 127.
 * @QMI_NAS_ACTIVE_BAND_EUTRAN_250: EUTRAN band 250.
 * @QMI_NAS_ACTIVE_BAND_TDSCDMA_A: TD-SCDMA Band A.
 * @QMI_NAS_ACTIVE_BAND_TDSCDMA_B: TD-SCDMA Band B.
 * @QMI_NAS_ACTIVE_BAND_TDSCDMA_C: TD-SCDMA Band C.
 * @QMI_NAS_ACTIVE_BAND_TDSCDMA_D: TD-SCDMA Band D.
 * @QMI_NAS_ACTIVE_BAND_TDSCDMA_E: TD-SCDMA Band E.
 * @QMI_NAS_ACTIVE_BAND_TDSCDMA_F: TD-SCDMA Band F.
 *
 * Band classes.
 *
 * Since: 1.0
 */
typedef enum {
  QMI_NAS_ACTIVE_BAND_BC_0 = 0,
  QMI_NAS_ACTIVE_BAND_BC_1 = 1,
  QMI_NAS_ACTIVE_BAND_BC_2 = 2,
  QMI_NAS_ACTIVE_BAND_BC_3 = 3,
  QMI_NAS_ACTIVE_BAND_BC_4 = 4,
  QMI_NAS_ACTIVE_BAND_BC_5 = 5,
  QMI_NAS_ACTIVE_BAND_BC_6 = 6,
  QMI_NAS_ACTIVE_BAND_BC_7 = 7,
  QMI_NAS_ACTIVE_BAND_BC_8 = 8,
  QMI_NAS_ACTIVE_BAND_BC_9 = 9,
  QMI_NAS_ACTIVE_BAND_BC_10 = 10,
  QMI_NAS_ACTIVE_BAND_BC_11 = 11,
  QMI_NAS_ACTIVE_BAND_BC_12 = 12,
  QMI_NAS_ACTIVE_BAND_BC_13 = 13,
  QMI_NAS_ACTIVE_BAND_BC_14 = 14,
  QMI_NAS_ACTIVE_BAND_BC_15 = 15,
  QMI_NAS_ACTIVE_BAND_BC_16 = 16,
  QMI_NAS_ACTIVE_BAND_BC_17 = 17,
  QMI_NAS_ACTIVE_BAND_BC_18 = 18,
  QMI_NAS_ACTIVE_BAND_BC_19 = 19,
  QMI_NAS_ACTIVE_BAND_GSM_450 = 40,
  QMI_NAS_ACTIVE_BAND_GSM_480 = 41,
  QMI_NAS_ACTIVE_BAND_GSM_750 = 42,
  QMI_NAS_ACTIVE_BAND_GSM_850 = 43,
  QMI_NAS_ACTIVE_BAND_GSM_900_EXTENDED = 44,
  QMI_NAS_ACTIVE_BAND_GSM_900_PRIMARY = 45,
  QMI_NAS_ACTIVE_BAND_GSM_900_RAILWAYS = 46,
  QMI_NAS_ACTIVE_BAND_GSM_DCS_1800 = 47,
  QMI_NAS_ACTIVE_BAND_GSM_PCS_1900 = 48,
  QMI_NAS_ACTIVE_BAND_WCDMA_2100 = 80,
  QMI_NAS_ACTIVE_BAND_WCDMA_PCS_1900 = 81,
  QMI_NAS_ACTIVE_BAND_WCDMA_DCS_1800 = 82,
  QMI_NAS_ACTIVE_BAND_WCDMA_1700_US = 83,
  QMI_NAS_ACTIVE_BAND_WCDMA_850 = 84,
  QMI_NAS_ACTIVE_BAND_WCDMA_800 = 85,
  QMI_NAS_ACTIVE_BAND_WCDMA_2600 = 86,
  QMI_NAS_ACTIVE_BAND_WCDMA_900 = 87,
  QMI_NAS_ACTIVE_BAND_WCDMA_1700_JAPAN = 88,
  QMI_NAS_ACTIVE_BAND_WCDMA_1500_JAPAN = 90,
  QMI_NAS_ACTIVE_BAND_WCDMA_850_JAPAN = 91,
  QMI_NAS_ACTIVE_BAND_EUTRAN_1 = 120,
  QMI_NAS_ACTIVE_BAND_EUTRAN_2 = 121,
  QMI_NAS_ACTIVE_BAND_EUTRAN_3 = 122,
  QMI_NAS_ACTIVE_BAND_EUTRAN_4 = 123,
  QMI_NAS_ACTIVE_BAND_EUTRAN_5 = 124,
  QMI_NAS_ACTIVE_BAND_EUTRAN_6 = 125,
  QMI_NAS_ACTIVE_BAND_EUTRAN_7 = 126,
  QMI_NAS_ACTIVE_BAND_EUTRAN_8 = 127,
  QMI_NAS_ACTIVE_BAND_EUTRAN_9 = 128,
  QMI_NAS_ACTIVE_BAND_EUTRAN_10 = 129,
  QMI_NAS_ACTIVE_BAND_EUTRAN_11 = 130,
  QMI_NAS_ACTIVE_BAND_EUTRAN_12 = 131,
  QMI_NAS_ACTIVE_BAND_EUTRAN_13 = 132,
  QMI_NAS_ACTIVE_BAND_EUTRAN_14 = 133,
  QMI_NAS_ACTIVE_BAND_EUTRAN_17 = 134,
  QMI_NAS_ACTIVE_BAND_EUTRAN_18 = 143,
  QMI_NAS_ACTIVE_BAND_EUTRAN_19 = 144,
  QMI_NAS_ACTIVE_BAND_EUTRAN_20 = 145,
  QMI_NAS_ACTIVE_BAND_EUTRAN_21 = 146,
  QMI_NAS_ACTIVE_BAND_EUTRAN_23 = 152,
  QMI_NAS_ACTIVE_BAND_EUTRAN_24 = 147,
  QMI_NAS_ACTIVE_BAND_EUTRAN_25 = 148,
  QMI_NAS_ACTIVE_BAND_EUTRAN_26 = 153,
  QMI_NAS_ACTIVE_BAND_EUTRAN_27 = 164,
  QMI_NAS_ACTIVE_BAND_EUTRAN_28 = 158,
  QMI_NAS_ACTIVE_BAND_EUTRAN_29 = 159,
  QMI_NAS_ACTIVE_BAND_EUTRAN_30 = 160,
  QMI_NAS_ACTIVE_BAND_EUTRAN_31 = 165,
  QMI_NAS_ACTIVE_BAND_EUTRAN_32 = 154,
  QMI_NAS_ACTIVE_BAND_EUTRAN_33 = 135,
  QMI_NAS_ACTIVE_BAND_EUTRAN_34 = 136,
  QMI_NAS_ACTIVE_BAND_EUTRAN_35 = 137,
  QMI_NAS_ACTIVE_BAND_EUTRAN_36 = 138,
  QMI_NAS_ACTIVE_BAND_EUTRAN_37 = 139,
  QMI_NAS_ACTIVE_BAND_EUTRAN_38 = 140,
  QMI_NAS_ACTIVE_BAND_EUTRAN_39 = 141,
  QMI_NAS_ACTIVE_BAND_EUTRAN_40 = 142,
  QMI_NAS_ACTIVE_BAND_EUTRAN_41 = 149,
  QMI_NAS_ACTIVE_BAND_EUTRAN_42 = 150,
  QMI_NAS_ACTIVE_BAND_EUTRAN_43 = 151,
  QMI_NAS_ACTIVE_BAND_EUTRAN_46 = 163,
  QMI_NAS_ACTIVE_BAND_EUTRAN_47 = 166,
  QMI_NAS_ACTIVE_BAND_EUTRAN_48 = 167,
  QMI_NAS_ACTIVE_BAND_EUTRAN_66 = 161,
  QMI_NAS_ACTIVE_BAND_EUTRAN_71 = 168,
  QMI_NAS_ACTIVE_BAND_EUTRAN_125 = 155,
  QMI_NAS_ACTIVE_BAND_EUTRAN_126 = 156,
  QMI_NAS_ACTIVE_BAND_EUTRAN_127 = 157,
  QMI_NAS_ACTIVE_BAND_EUTRAN_250 = 162,
  QMI_NAS_ACTIVE_BAND_TDSCDMA_A = 200,
  QMI_NAS_ACTIVE_BAND_TDSCDMA_B = 201,
  QMI_NAS_ACTIVE_BAND_TDSCDMA_C = 202,
  QMI_NAS_ACTIVE_BAND_TDSCDMA_D = 203,
  QMI_NAS_ACTIVE_BAND_TDSCDMA_E = 204,
  QMI_NAS_ACTIVE_BAND_TDSCDMA_F = 205
} QmiNasActiveBand;

/**
 * qmi_nas_active_band_get_string:
 *
 * Since: 1.0
 */

/**
 * QmiNasNetworkServiceDomain:
 * @QMI_NAS_NETWORK_SERVICE_DOMAIN_NONE: No service.
 * @QMI_NAS_NETWORK_SERVICE_DOMAIN_CS: Circuit switched.
 * @QMI_NAS_NETWORK_SERVICE_DOMAIN_PS: Packet switched.
 * @QMI_NAS_NETWORK_SERVICE_DOMAIN_CS_PS: Circuit and packet switched.
 * @QMI_NAS_NETWORK_SERVICE_DOMAIN_UNKNOWN: Unknown service.
 *
 * Network Service Domain.
 *
 * Since: 1.0
 */
typedef enum {
  QMI_NAS_NETWORK_SERVICE_DOMAIN_NONE = 0x00,
  QMI_NAS_NETWORK_SERVICE_DOMAIN_CS = 0x01,
  QMI_NAS_NETWORK_SERVICE_DOMAIN_PS = 0x02,
  QMI_NAS_NETWORK_SERVICE_DOMAIN_CS_PS = 0x03,
  QMI_NAS_NETWORK_SERVICE_DOMAIN_UNKNOWN = 0x04,
} QmiNasNetworkServiceDomain;

/**
 * qmi_nas_network_service_domain_get_string:
 *
 * Since: 1.0
 */

/**
 * QmiNasDLBandwidth:
 * @QMI_NAS_DL_BANDWIDTH_1_4: 1.4 MHz
 * @QMI_NAS_DL_BANDWIDTH_3: 3 MHz
 * @QMI_NAS_DL_BANDWIDTH_5: 5 MHz
 * @QMI_NAS_DL_BANDWIDTH_10: 10 MHz
 * @QMI_NAS_DL_BANDWIDTH_15: 15 MHz
 * @QMI_NAS_DL_BANDWIDTH_20: 20 MHz
 * @QMI_NAS_DL_BANDWIDTH_INVALID: Invalid
 * @QMI_NAS_DL_BANDWIDTH_UNKNOWN: Unknown
 *
 * DL Bandwidth.
 *
 * Since: 1.16
 */
typedef enum {
  QMI_NAS_DL_BANDWIDTH_1_4 = 0,
  QMI_NAS_DL_BANDWIDTH_3 = 1,
  QMI_NAS_DL_BANDWIDTH_5 = 2,
  QMI_NAS_DL_BANDWIDTH_10 = 3,
  QMI_NAS_DL_BANDWIDTH_15 = 4,
  QMI_NAS_DL_BANDWIDTH_20 = 5,
  QMI_NAS_DL_BANDWIDTH_INVALID = 6,
  QMI_NAS_DL_BANDWIDTH_UNKNOWN = 0xFF
} QmiNasDLBandwidth;

/**
 * qmi_nas_dl_bandwidth_get_string:
 *
 * Since: 1.16
 */

typedef enum {
  QMI_NAS_MODULATION_BPSK = 0,
  QMI_NAS_MODULATION_QPSK = 1,
  QMI_NAS_MODULATION_16QAM = 2,
  QMI_NAS_MODULATION_64QAM = 3,
  QMI_NAS_MODULATION_256QAM = 4,
  QMI_NAS_MODULATION_UNKNOWN = 0xFF
} QmINasModulation;

#endif /* _LIBQMI_GLIB_QMI_ENUMS_NAS_H_ */
